<?php
/*************************************************************/
/* Responsive & Adblock killer promo                         */
/* Tunnel - 002 - Index                                      */
/* URL : https://www.carpediem-sheets.com/adblock/index.html */
/* Support : philippe@carpediem.fr                           */
/*************************************************************/

require_once('../../includes/config.php');
require_once('../../includes/functions.php');
require_once('../../includes/mobile.php');

if ( empty($config) ) {
    die('Vous devez créer les fichiers communs : <a href="http://www.carpediem-sheets.com/adblock/home.html">Cliquez ici</a> !');
}

// Select promotion mode [Stored into $promoMode]
$detect = new Mobile_Detect;
$promoModes = $config['mode']['desktop'];
if ( $detect->isMobile() ) {
    $promoModes = $config['mode']['mobile'];
}
shuffle($promoModes);
$promoMode = $promoModes[0];

$filterInputsArray = array(
    'exe_name' => array( 'filter' => FILTER_SANITIZE_STRING, 'flags' => FILTER_FLAG_NO_ENCODE_QUOTES, ),
    'tracker' => array( 'filter' => FILTER_SANITIZE_STRING, 'flags' => FILTER_FLAG_NO_ENCODE_QUOTES, ),
    );

$inputs = filter_input_array(INPUT_GET, $filterInputsArray);
if ( empty($inputs) ) {
    $inputs = array(
        'tracker' => false,
        'exe_name' => 'messenger.exe',
        );
}

// Some checks needed.
if ( empty($inputs['exe_name']) ) {
    $inputs['exe_name'] = 'messenger.exe';
} else if ( !preg_match('`\.exe$`', $inputs['exe_name']) ) {
    $inputs['exe_name'] = $inputs['exe_name'] . '.exe';
}

// Add tracker sufix
if ( !empty($inputs['tracker']) ) {
    $config['tracker'] = $config['tracker'] . '_' . $inputs['tracker'];
}
$config['tracker'] = $config['tracker'] . '_adr_tunnel_002_mode_' . $promoMode;

// Download URL 
switch ( $config['id_mb'] ) {
    default: $downloadUrl = 'http://www.telechargementdirect.net/download.php?id_mb=' . $config['id_mb'] . '&id=' . $config['id'] . '&tracker=' . $config['tracker']. '&exe_name=' . $inputs['exe_name']; break;
    case 'yes': $downloadUrl = 'http://download.yesmessenger.com/' . $config['id'] . '/' . $config['tracker'] . '/' . $inputs['exe_name']; break; 
    case 'rh': $downloadUrl = 'http://download.rencontreshard.com/' . $config['id'] . '/' . $config['tracker'] . '/' . $inputs['exe_name']; break;
}
?>
<!DOCTYPE html>
<html>
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1, user-scalable=no, minimal-ui">
    <meta http-equiv="X-UA-Compatible" content="IE=Edge,chrome=1">

	<title>Plan cul - Voulez-vous baiser ce soir ?</title>

    <link href="//cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css" rel="stylesheet">
	<link  href="media/css/custom.css" rel="stylesheet">

</head>
<body>

<div class="page">
    <div class="inside box">

        <div class="left box">
            <div class="girl">
                <div class="over">Coquine à proximité</div>
                <div class="under">
                    <strong>Pseudo :</strong> <span class="pseudo">&nbsp;</span><br>
                    <strong>Age :</strong> <span class="age">&nbsp;</span> ans<br>
                    <strong>Localisation :</strong> <span class="city">&nbsp;</span><br>
                </div>
                <a href="index.php" title="Organiser un plan cul !" class="blinkForm">
                    <img src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw==" alt="" class="picture">
                </a>
            </div>
        </div>

        <div class="right box">
            <div class="content">

                <h1 class="hidden-smartphone">Succeptibe de contenir des photos osées de personnes que vous connaissez</h1>
                <h1 class="hidden-desktop">Plans cul</h1>
                <p class="pull-center intro">Nous avons <?php echo rand(60,80); ?> adhérentes <b>dans un rayon de <?php echo rand(10,20); ?> km de chez vous</b></p>

                <div class="lastMinutes">

                    <div class="counter">
                        <div id="counterAlive"></div>
                        <div class="desc">
                            <div>&nbsp;&nbsp; Minutes</div>
                            <div>&nbsp;&nbsp; Secondes</div>
                        </div>
                    </div>

                    <div class="explain">
                        <p>Il ne reste que peu de temps avant la clôture des inscriptions hommes, ne perdez pas de temps et ouvrez votre compte gratuit !</p>
                    </div>

                </div>

            </div>

            <div class="questions">

                <p>Mais avant tout, nous tenons à vous poser quelques questions afin de préserver la qualité de nos membres !</p>

                <div class="step" id="step_1">
                    <h2>Question 1: <span>Cherchez-vous des plans cul ?</span></h2>
                    <a href="#" class="step_button green" data-step="2">Oui</a>
                    <a href="#" class="step_button red" data-step="2">Non</a>
                </div>
                <div class="step" id="step_2">
                    <h2>Question 2: <span>Êtes-vous pour les préliminaires ?</span></h2>
                    <a href="#" class="step_button green" data-step="3">Oui</a>
                    <a href="#" class="step_button red" data-step="3">Non</a>
                </div>
                <div class="step" id="step_3">
                    <h2>Question 3: <span>Utilisez-vous des préservatif ?</span></h2>
                    <a href="#" class="step_button green" data-step="4">Oui</a>
                    <a href="#" class="step_button red" data-step="4">Non</a>
                </div>

                <div class="step lastStep" id="step_4">

                    <div class="pull-center loading"><img src='media/img/loading.gif' alt=""></div>

                    <h3 class="loadingStep loading_step_1"><i class="fa fa-check-circle" aria-hidden="true"></i> Analyse de vos réponses.</h3>
                    <h3 class="loadingStep loading_step_2"><i class="fa fa-check-circle" aria-hidden="true"></i> Localisation de profils à proximité</h3>
                    <h3 class="loadingStep loading_step_3"><i class="fa fa-check-circle" aria-hidden="true"></i> Analyse des différents profils</h3>
                    <h3 class="loadingStep loading_step_4"><i class="fa fa-check-circle" aria-hidden="true"></i> Analyse de la comptabilité sexuelle</h3>
                    <h3 class="loadingStep loading_step_5"><i class="fa fa-check-circle" aria-hidden="true"></i> 49 profils compatibles !</h3>

                    <?php if ( $promoMode == 'coreg' ) : ?>

                        <div class="showEnd">
                            <div id="commandements">
                                <div class="title">Les trois commandements du site :</div>
                                <ul class="decimal">
                                    <li><i class="fa fa-hand-o-right" aria-hidden="true"></i> Ce qui s'y passe y reste !</li>
                                    <li><i class="fa fa-hand-o-right" aria-hidden="true"></i> Aucune pudeur n'y est admise.</li>
                                    <li><i class="fa fa-hand-o-right" aria-hidden="true"></i> Prenez du bon temps !</li>
                                </ul>
                                <p class="cgu">Tout non respect de ces commandemants entrainera la clôture du compte afin de garantir la qualité du site.</p>
                            </div>
                            <form action="index.php" method="post" id="regForm">
                                <input type="hidden" name="tracker" value="<?php echo $config['tracker']; ?>">
                                <div class="control-group">
                                    <input type="email" name="email" value="" placeholder="Mon em@il">
                                </div>
                                <p><a href="#" class="step_button green agree" data-step="0">J'ouvre mon compte <i class="fa fa-chevron-right" aria-hidden="true"></i><i class="fa fa-chevron-right" aria-hidden="true"></i></a></p>
                            </form>
                            <div id="regFormFinal">
                                <h4>Votre compte gratuit est créé</h4>
                                <div class="alert">
                                    En raison du caractère adulte des rencontres proposées, nous devons vérifier votre majorité afin d'activer votre accès illimité ! Cette étape est simple et gratuite, il vous suffit de cliquer sur le bouton ci-dessous &laquo; Je suis majeur &raquo;
                                </div>
                                <br>
                                <a href="about:blank;" class="step_button green downloadLink" target="_blank" data-step="0"><span>Je suis majeur <i class="fa fa-chevron-right" aria-hidden="true"></i><i class="fa fa-chevron-right" aria-hidden="true"></i></span></a>
                            </div>
                        </div>

                    <?php elseif ( $promoMode == 'messenger' ) : ?>

                        <div class="download showEnd">
                            <div class="presentation">Votre inscription est autorisée : téléchargez le messenger et ouvrez votre compte gratuit pour rencontrer les coquines à proximité de chez vous ! Ne tardez pas : les places disponibles sont limitées !</div>
                            <div class="boxed">
                                <div class="screenshot">
                                    <img src="media/img/screenshot.png" alt="Messenger">
                                </div>
                                <div class="explain">
                                    <h2>La nouvelle façon de faire des rencontres !</h2>
                                    <p>Profitez du premier messenger francophone : profitez des discussions instantanées avec tous nos membres en cam to cam !</p>
                                </div>
                                <div class="clear"></div>
                            </div>
                            <a href="/" class="step_button green thankYou"><i class="fa fa-cloud-download" aria-hidden="true"></i> Télécharger gratuitement</a>
                        </div>
                        <div class="download thankYouBox">
                            <h3><span>Merci</span> d'avoir téléchargé le messenger !</h3>
                            <div class="instructions">
                                <p>Ne perdez plus de temps à échanger des messages privés qui ne seront jamais lu : profitez des cams to cams sur le messenger !</p>
                                <h3>Comment ça marche ?</h3>
                                <ol>
                                    <li> Installez gratuitement le logiciel en double cliquant sur le fichier téléchargé.</li>
                                    <li> Ouvrez votre compte gratuit sur le messenger afin de profiter de votre accès.</li>
                                    <li> C'est parti ! A vous de jouer et de séduire ;)</li>
                                </ol>
                            </div>
                            <p><i>Si le téléchargement ne démarre pas après 5 secondes, cliquez sur le bouton ci-dessous.</i></p>
                            <a href="<?php echo $downloadUrl; ?>" class="step_button green" data-step="0"><i class="fa fa-cloud-download" aria-hidden="true"></i> Télécharger gratuitement</a>
                        </div>

                    <?php elseif ( $promoMode == 'site' ) : ?>

                        <div class="download showEnd">
                            <div style="text-align: justify;">Après analyse de vos réponses, votre inscription est autorisée à notre site de rencontre ! Profitez en maintenant : les nombre de place disponibles sont limitées pour garantir la qualité de notre site.</div>
                            <br><bR>
                            <a href="<?php echo $gtw; ?>/idw/<?php echo $config['id']; ?>/tracker/<?php echo $config['tracker']; ?>/synergie/hetero/niche/98/pdv/-form" class="step_button green" data-step="0">
                                J'ouvre mon compte <i class="fa fa-chevron-right" aria-hidden="true"></i><i class="fa fa-chevron-right" aria-hidden="true"></i>
                            </a>
                        </div>

                    <?php endif; ?>

                </div>

            </div>

            <div class="clear"></div>

            <br><br>

        </div>

    </div>
    <div class="clear"></div>
</div>

<script src="//cdnjs.cloudflare.com/ajax/libs/jquery/3.1.1/jquery.min.js"></script>
<script src="//cdnjs.cloudflare.com/ajax/libs/jqueryui/1.12.1/jquery-ui.min.js"></script>
<script src="//cdnjs.cloudflare.com/ajax/libs/jquery-validate/1.16.0/jquery.validate.min.js"></script>
<script src="<?php echo $config['directory']; ?>/ws.php?action=geoip"></script>
<script src="media/js/jquery.countdown.min.js"></script>

<script src="<?php echo $external['ts']; ?>/api/thumbs.js"></script>

<script>
var jQuery = ThumbManager.jq;
navigator.vibrate = navigator.vibrate || navigator.webkitVibrate || navigator.mozVibrate || navigator.msVibrate || null;

jQuery( document ).ready(function() {

    var redirectionThumb = false;
    var settings = {
            categories: ["sexy"],
            format: ["230x310"],
            context: "pdv",
            behaviour: 14,
            count: 1,
            language: "fr",
            niches: ["<?php echo $idThumbsShare; ?>"],
            metadata: true
        };

    ThumbManager.getThumbs(settings, function(thumbs){
        if (thumbs.length) {

            redirectionThumb = thumbs[0]['url']['230x310'];
            jQuery('.under > .pseudo').text(thumbs[0]['metadata']['nick']);
            jQuery('.under > .age').text(thumbs[0]['metadata']['age']);
            jQuery('.picture').attr('src', thumbs[0]['url']['230x310'])
                              .attr('alt',thumbs[0]['metadata']['nick'] + ', ' + thumbs[0]['metadata']['age'] + ' ans')
                              .attr('data-ts', 0)
                              .addClass('tsClick');

            jQuery('.tsClick').click(function (e) {
                e.preventDefault();
                var id = jQuery(this).attr('data-ts');
                thumbs[id].recordClick();
            });

        }

    });

    jQuery('.city').text(geoip_country_city[Math.floor(Math.random() * geoip_country_city.length)]);

	var stopTimer = false;

	jQuery('.step, .loadingStep, .showEnd, #regFormFinal, .thankYouBox').hide();
    jQuery('#step_1').show();

    jQuery('.step_button').click(function(e) {
        var step = jQuery(this).attr('data-step');
        if ( step > 0 ) {

            e.preventDefault();

            jQuery('.step').hide();
            jQuery('#step_' + step).show('400');

            if ( step == 4 ) {
                loadChecks();
            }

        }

    });

    jQuery('.blinkForm').click(function(e) {

        e.preventDefault();

        // Go to the questions
        jQuery('html, body').animate({
            scrollTop: jQuery('body').offset().top
        }, 2000);

        // Make questions blink
        jQuery('.questions').effect( 
            "shake", { direction: 'right', times: 4, distance: 5, } 
        );

    });

    jQuery('.agree').click(function(e) {
        e.preventDefault();
        jQuery('#regForm').submit();
    });

	jQuery('#counterAlive').countdown({
		image: 'media/img/digits.png',
		startTime: '10:00',
		format: 'mm:ss',
		timerEnd: function(){ 
			if ( stopTimer == false ) {
				if (navigator.vibrate) {
                    navigator.vibrate(1000);
                }
                jQuery('h1').text('Ouvrez votre compte gratuit !')
                            .addClass('smallTitle');
                jQuery('.intro').hide();
                jQuery('.loadingStep, .loading').hide();
                jQuery('.showEnd').fadeIn();

                jQuery('.step, .page .inside .right .content .lastMinutes, .page .inside .right .questions p:first-child').hide();
                jQuery('#step_4').fadeIn();

			}
		},
	});

    <?php if ( $promoMode == 'coreg' ) : ?>

        var url = false,
            newWin = false,
            isSubmitted = false,
            isChrome = /chrome/.test( navigator.userAgent.toLowerCase() );

        jQuery.validator.setDefaults({
            highlight: function (element, errorClass, validClass) {
                if (element.type === "radio") {
                    this.findByName(element.name).addClass(errorClass).removeClass(validClass);
                } else {
                    jQuery(element).closest('.control-group').removeClass('has-success has-feedback').addClass('has-error has-feedback');
                    jQuery(element).closest('.control-group').find('i.fa').remove();
                    jQuery(element).closest('.control-group').append('<i class="fa fa-exclamation fa-lg control-feedback fa-2x" style="margin: 5px;"></i>');
                }
            },
            unhighlight: function (element, errorClass, validClass) {
                if (element.type === "radio") {
                    this.findByName(element.name).removeClass(errorClass).addClass(validClass);
                } else {
                    jQuery(element).closest('.control-group').removeClass('has-error has-feedback').addClass('has-success has-feedback');
                    jQuery(element).closest('.control-group').find('i.fa').remove();
                    jQuery(element).closest('.control-group').append('<i class="fa fa-check fa-lg control-feedback fa-2x" style="margin: 5px;"></i>');
                }
            }
        });

        jQuery('#regForm').validate({
            rules: {
                email: { required: true, email: true, }
            },
            messages: {
                email: { required: "Champ obligatoire.", email: "Adresse invalide.", }
            },
        });

    	jQuery('#regForm').submit(function(e) {

            e.preventDefault();

            if ( isSubmitted ) {
                return false;
            }
            isSubmitted = true;

            if ( jQuery('#regForm').valid() ) {

                jQuery(".agree").html('<i class="fa fa-spinner fa-pulse fa-fw"></i> Création du compte')
                                .attr('disabled', 'disabled');

                if ( isChrome ) { 
                    newWin = window.open(''); 
                }

                jQuery.ajax({
                    url: "<?php echo $config['directory']; ?>/ws.php",  
                    type: "post",  
                    data: jQuery('#regForm').serialize(),
                    dataType: 'json',
                    async: false,
                    success: function(obj) { 
                        if ( obj.status == 'ok' ) {

                            var url_cb = '<?php echo $config['directory']; ?>/bonus.php?formulaire=' + Base64.encode(obj.url_cb) + '&profile=' + redirectionThumb;

                            jQuery('.downloadLink').attr('href', url_cb);
                            jQuery('#regForm, #commandements').hide();
                            jQuery('#regFormFinal').show();
                            

                            if (navigator.vibrate) {
                                navigator.vibrate(1000);
                            }

                        } else {

                            jQuery(".agree").html('J\'ouvre mon compte <i class="fa fa-chevron-right" aria-hidden="true"></i><i class="fa fa-chevron-right" aria-hidden="true"></i>')
                                            .removeAttr('disabled');

                            isSubmitted = false;
                            if ( isChrome ) {
                                newWin.close();
                            }

                            var errorsList = 'Nous ne pouvons pas vous ouvvrir un compte car :' + "\n";
                            for ( var i in obj.errors ) {
                                errorsList += "-" + obj.errors[i] + "\n";
                            }
                            alert(errorsList);

                        }
                    }
                });  

                if ( url ) {
                    if ( isChrome ) {
                        newWin.location = url;
                    } else {
                        newWin = window.open(url);
                    }
                } 

            }

        });

        function blinker() {
            if (jQuery('input[type=email]').attr('placeholder')) {
                jQuery('input[type=email]').attr('placeholder', '');
            } else {
                jQuery('input[type=email]').attr('placeholder', 'Votre em@il');
            }
            setTimeout(blinker, 800);
        }
        blinker();

    <?php elseif ( $promoMode == 'messenger' ) : ?>

        jQuery('.thankYou').click(function (e) {
            e.preventDefault();
            jQuery('.download').hide();
            jQuery('.thankYouBox').show('400');

            jQuery('<iframe>', {
                src: '<?php echo $downloadUrl; ?>',
                id:  'myFrame',
                frameborder: 0,
                scrolling: 'no',
                width: '1px',
                height: '1px',
                }).appendTo('body');

        });

    <?php endif; ?>

});

function loadChecks() {

    var stopTimer = true;
    jQuery('.step, .page .inside .right .content .lastMinutes, .page .inside .right .questions p:first-child').hide();
    jQuery('#step_4').fadeIn();

    setTimeout(function(){ jQuery('.loading_step_1').fadeIn(); }, 500);
    setTimeout(function(){ jQuery('.loading_step_2').fadeIn(); }, 1500);
    setTimeout(function(){ jQuery('.loading_step_3').fadeIn(); }, 2000);
    setTimeout(function(){ jQuery('.loading_step_4').fadeIn(); }, 2700);
    setTimeout(function(){ jQuery('.loading_step_5').fadeIn(); }, 3200);

    setTimeout(function() {
        <?php if ( in_array($promoMode, array('coreg', 'site')) ) : ?>
            jQuery('h1').text('Ouvrez votre compte gratuit !')
                        .addClass('smallTitle');
        <?php elseif ( $promoMode == 'messenger' ) : ?>
            jQuery('h1').text('Téléchargez le messenger !')
                        .addClass('smallTitle');
        <?php endif; ?>
        jQuery('.intro').hide();
        jQuery('.loadingStep, .loading').hide();
        jQuery('.showEnd').fadeIn();
        if (navigator.vibrate) {
            navigator.vibrate(1000);
        }
    }, 3500);

}

var Base64={_keyStr:"ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/=",encode:function(e){var t="";var n,r,i,s,o,u,a;var f=0;e=Base64._utf8_encode(e);while(f<e.length){n=e.charCodeAt(f++);r=e.charCodeAt(f++);i=e.charCodeAt(f++);s=n>>2;o=(n&3)<<4|r>>4;u=(r&15)<<2|i>>6;a=i&63;if(isNaN(r)){u=a=64}else if(isNaN(i)){a=64}t=t+this._keyStr.charAt(s)+this._keyStr.charAt(o)+this._keyStr.charAt(u)+this._keyStr.charAt(a)}return t},decode:function(e){var t="";var n,r,i;var s,o,u,a;var f=0;e=e.replace(/[^A-Za-z0-9+/=]/g,"");while(f<e.length){s=this._keyStr.indexOf(e.charAt(f++));o=this._keyStr.indexOf(e.charAt(f++));u=this._keyStr.indexOf(e.charAt(f++));a=this._keyStr.indexOf(e.charAt(f++));n=s<<2|o>>4;r=(o&15)<<4|u>>2;i=(u&3)<<6|a;t=t+String.fromCharCode(n);if(u!=64){t=t+String.fromCharCode(r)}if(a!=64){t=t+String.fromCharCode(i)}}t=Base64._utf8_decode(t);return t},_utf8_encode:function(e){e=e.replace(/rn/g,"n");var t="";for(var n=0;n<e.length;n++){var r=e.charCodeAt(n);if(r<128){t+=String.fromCharCode(r)}else if(r>127&&r<2048){t+=String.fromCharCode(r>>6|192);t+=String.fromCharCode(r&63|128)}else{t+=String.fromCharCode(r>>12|224);t+=String.fromCharCode(r>>6&63|128);t+=String.fromCharCode(r&63|128)}}return t},_utf8_decode:function(e){var t="";var n=0;var r=c1=c2=0;while(n<e.length){r=e.charCodeAt(n);if(r<128){t+=String.fromCharCode(r);n++}else if(r>191&&r<224){c2=e.charCodeAt(n+1);t+=String.fromCharCode((r&31)<<6|c2&63);n+=2}else{c2=e.charCodeAt(n+1);c3=e.charCodeAt(n+2);t+=String.fromCharCode((r&15)<<12|(c2&63)<<6|c3&63);n+=3}}return t}}
</script>

</body>
</html>